package gsf.gui.gsfmonitorgui.gui;

import gsf.datenhaltung.gfsmonitordatenhaltung.entities.Kategorie;
import gsf.fachlogik.gsfmonitorsteuerung.service.IGSFMonitorSteuer;
import java.awt.BorderLayout;
import java.awt.Image;
import java.awt.Toolkit;
import java.io.File;
import java.io.IOException;
import static java.lang.System.exit;
import java.net.URL;
import java.nio.file.DirectoryNotEmptyException;
import java.nio.file.Files;
import java.nio.file.NoSuchFileException;
import java.nio.file.Path;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import static javax.swing.JOptionPane.showMessageDialog;
import javax.swing.JPanel;

/**
 *
 * @author gromow psojka
 */
public class StartGUI extends javax.swing.JFrame {

    private UploadFileGUI uploadfilegui;
    private ProfileGUI profilegui;
    private static String currentLabel;
    private String pfad;
    private Path currentPath;

    private static ArrayList<String> gasList = new ArrayList<>();
    private static ArrayList<String> stromList = new ArrayList<>();
    private static ArrayList<String> fwList = new ArrayList<>();

    public static ArrayList<String> getGasList() {
        return gasList;
    }

    public static ArrayList<String> getStromList() {
        return stromList;
    }

    public static ArrayList<String> getFwList() {
        return fwList;
    } 
    
    public static void setFwLabelText(String s) {
        fwList.add(s);
        currentLabel = getFwL();
        fwL.setText(currentLabel + " " + s);
        
    }

    public static void setStromLabelText(String s) {
        stromList.add(s);
        currentLabel = getStromL();
        stromL.setText(currentLabel + " " + s);
        
    }

    public static void setGasL(String s) {
        gasList.add(s);
        currentLabel = getGasL();
        gasL.setText(currentLabel + " " + s);
        
    }

    public static String getStromL() {
        
        return stromL.getText();
    }

    public static String getGasL() {
        
        return gasL.getText();
    }

    public static String getFwL() {
        
        return fwL.getText();
    }
    

    public void deleteAllFiles(ArrayList<String> liste) {
        System.out.println("Es werden " + liste.size() + " gelöscht");

        pfad = getPfadByOS();

        try {
            Iterator<String> it = liste.iterator();
            while (it.hasNext()) {
                String filename = it.next();
                File destinationFile = new File(pfad + "/" + filename);
                currentPath = destinationFile.toPath();
                Files.delete(destinationFile.toPath());
            }

        } catch (NoSuchFileException x) {
            System.err.format("%s: no such" + " file or directory%n", currentPath);
        } catch (DirectoryNotEmptyException x) {
            System.err.format("%s not empty%n", currentPath);
        } catch (IOException x) {
            // File permission problems are caught here.
            System.err.println(x);
        }
    }

    /**
     * Liefert den Pfad je nach OS als String zurück. /users/upload c:\\upload
     *
     * @return
     */
    private String getPfadByOS() {
        /*
        String ret = System.getProperty("os.name").toLowerCase();
        System.out.println("GSFMonitorChartImpl:" + ret);
        if (ret.equals("mac os x")) {
            this.pfad = "/users/upload";
        } else if (ret.equals("windows 10")) {
            this.pfad = "c:\\upload";
        } else if (ret.equals("windows 8.1")) {
            this.pfad = "c:\\upload";
        } else {
            this.pfad = "";
        }
        return this.pfad;
        */
        final String folder = System.getProperty("user.dir");
        File dir = new File(folder+"/upload");
        return folder+"/upload";
    }
    
    /**
     * Diese Methode prüft nach, welches Betriebsystem momentan am laufen ist.
     * return (OS.indexOf("nix") >= 0 || OS.indexOf("nux") >= 0 || OS.indexOf("aix") > 0 );
     */
    private void createFolder(){
        String ret = System.getProperty("os.name").toLowerCase();
        if (ret.indexOf("mac")==0) {
            File dir = new File("/users/upload");
            dir.mkdir(); 
        } else if (ret.indexOf("win")==0) {
            File dir = new File("c:\\upload");
            dir.mkdir();
        } else {
            this.pfad = "";
        }
    }

    /**
     * Creates new form StartGUI
     */
    public StartGUI() {
        //createFolder();
        initComponents();
        
        final String folder = System.getProperty("user.dir");
        File dir = new File(folder+"/upload");
        dir.mkdir();
 
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButton1 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        fwUpload = new javax.swing.JButton();
        gasUpload = new javax.swing.JButton();
        stromUpload = new javax.swing.JButton();
        gasL = new javax.swing.JLabel();
        stromL = new javax.swing.JLabel();
        fwL = new javax.swing.JLabel();
        auswertenOpen = new javax.swing.JButton();
        gasDelete = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        logoPanel = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        stromDelete = new javax.swing.JButton();
        fwDelete = new javax.swing.JButton();
        close = new javax.swing.JButton();

        jButton1.setText("jButton1");

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("GSFMonitor - Start");
        setResizable(false);
        setSize(new java.awt.Dimension(800, 200));

        jLabel1.setFont(new java.awt.Font("Avenir Next", 0, 18)); // NOI18N
        jLabel1.setText("Gas, Strom & Fernwärme Monitor");

        fwUpload.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        fwUpload.setText("Datei hinzufügen");
        fwUpload.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fwUploadActionPerformed(evt);
            }
        });

        gasUpload.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        gasUpload.setText("Datei hinzufügen");
        gasUpload.setPreferredSize(new java.awt.Dimension(153, 40));
        gasUpload.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                gasUploadActionPerformed(evt);
            }
        });

        stromUpload.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        stromUpload.setText("Datei hinzufügen");
        stromUpload.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                stromUploadActionPerformed(evt);
            }
        });

        gasL.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        gasL.setPreferredSize(new java.awt.Dimension(5, 5));

        stromL.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N

        fwL.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N

        auswertenOpen.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        auswertenOpen.setText("Auswerten");
        auswertenOpen.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                auswertenOpenActionPerformed(evt);
            }
        });

        gasDelete.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        gasDelete.setText("Löschen");
        gasDelete.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                gasDeleteActionPerformed(evt);
            }
        });

        jLabel2.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        jLabel2.setText("Gas:");

        jLabel3.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        jLabel3.setText("Strom:");

        jLabel4.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        jLabel4.setText("Fernwärme:");

        //logoPanel = new ImagePanel(new ImageIcon("files/logo3.png").getImage());

        //https://netbeans.org/kb/docs/java/gui-image-display.html
        jLabel5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/logo3.png"))); // NOI18N

        javax.swing.GroupLayout logoPanelLayout = new javax.swing.GroupLayout(logoPanel);
        logoPanel.setLayout(logoPanelLayout);
        logoPanelLayout.setHorizontalGroup(
            logoPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLabel5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        logoPanelLayout.setVerticalGroup(
            logoPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLabel5, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        stromDelete.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        stromDelete.setText("Löschen");
        stromDelete.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                stromDeleteActionPerformed(evt);
            }
        });

        fwDelete.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        fwDelete.setText("Löschen");
        fwDelete.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fwDeleteActionPerformed(evt);
            }
        });

        close.setFont(new java.awt.Font("Avenir Next", 0, 14)); // NOI18N
        close.setText("Schliessen");
        close.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                closeActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(24, 24, 24)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel2)
                            .addComponent(jLabel3)
                            .addComponent(jLabel4))
                        .addGap(82, 82, 82)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(gasUpload, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(gasL, javax.swing.GroupLayout.PREFERRED_SIZE, 263, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(gasDelete))
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(layout.createSequentialGroup()
                                        .addComponent(fwUpload)
                                        .addGap(18, 18, 18)
                                        .addComponent(fwL, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                    .addGroup(layout.createSequentialGroup()
                                        .addComponent(stromUpload)
                                        .addGap(18, 18, 18)
                                        .addComponent(stromL, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(0, 0, Short.MAX_VALUE)
                                        .addComponent(close)))
                                .addGap(18, 18, 18)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(stromDelete, javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(fwDelete, javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(auswertenOpen, javax.swing.GroupLayout.PREFERRED_SIZE, 152, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jLabel1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(logoPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(14, 14, 14))
        );

        layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {fwDelete, fwUpload, gasDelete, gasUpload, stromDelete, stromUpload});

        layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {auswertenOpen, close});

        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(44, 44, 44)
                        .addComponent(jLabel1))
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(logoPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(gasUpload, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(jLabel2)
                        .addComponent(gasL, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(gasDelete, javax.swing.GroupLayout.Alignment.TRAILING))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(stromUpload)
                    .addComponent(stromL, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3)
                    .addComponent(stromDelete))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(fwUpload)
                    .addComponent(fwL, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel4)
                    .addComponent(fwDelete))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(auswertenOpen)
                    .addComponent(close))
                .addGap(27, 27, 27))
        );

        layout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {auswertenOpen, close, fwDelete, fwUpload, gasDelete, gasUpload, stromDelete, stromUpload});

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * Diese Methode soll an Steuerungsklasse NUR 3 ArrayList<String> übergeben
     * und zwar <code>gasList,stromList,fwList<code>.Somit kann man jedes Array iterieren und Dateien
     * aus dem Ordner upload sich holen und anschliessen parsen.Sollte ein Array min
     * 2 Dateien besitzen, dann handelt es sich um 2 Dateien einer Kategorie, die dann
     * konkateniert werden müssen.Das macht Steuerungsklasse.Bsp:
     * steuerung.erstelleEntityEinerKategorie(
     *          ArrayList<String> gasList, ArrayList<String> stromList, ArrayList<String>
     * fwList );
     *
     * @param evt
     */
    private void auswertenOpenActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_auswertenOpenActionPerformed
        
        
        
        String fileN = getPfadByOS();
        try {
            profilegui = new ProfileGUI();
            IGSFMonitorSteuer steuerung = new IGSFMonitorSteuer();

            for (int i = 0; i < gasList.size(); i++) {
                //System.out.println("name gas: "+gasList.get(i));
                steuerung.erstelleEntityEinerKategorie(Kategorie.Gas, fileN + "/" + gasList.get(i));
            }
            if (gasList.size() > 0){
                steuerung.formatUmrechnen(0);
                steuerung.erstelleWochentageEinerKategorie(0);
            }

            for (int i = 0; i < stromList.size(); i++) {
                //System.out.println("name strom: "+stromList.get(i));
                steuerung.erstelleEntityEinerKategorie(Kategorie.Strom, fileN + "/" + stromList.get(i));
            }
            if (stromList.size() > 0){
                steuerung.formatUmrechnen(1);
                steuerung.erstelleWochentageEinerKategorie(1);
            }

            for (int i = 0; i < fwList.size(); i++) {
                //System.out.println("name fw: "+fwList.get(i));
                steuerung.erstelleEntityEinerKategorie(Kategorie.Fernwaerme, fileN + "/" + fwList.get(i));
            }
            if (fwList.size() > 0){
                steuerung.formatUmrechnen(2);
                steuerung.erstelleWochentageEinerKategorie(2);
            }

            //steuerung.erstelleEntityEinerKategorie(Kategorie.Gas, fileN + "/lastprofil_1tagklein.csv");
        } catch (IOException ex) {
            Logger.getLogger(StartGUI.class.getName()).log(Level.SEVERE, null, ex);
        }
        
        if(fwList.isEmpty() && stromList.isEmpty() && gasList.isEmpty()){
            showMessageDialog(null, "Bitte mindestens ein Lastprofil laden!");
            
        }else{
            profilegui.setLocationRelativeTo(null);
            profilegui.setVisible(true);
        }
        


    }//GEN-LAST:event_auswertenOpenActionPerformed

    private void stromUploadActionPerformed(java.awt.event.ActionEvent evt) {
        // TODO add your handl// TODO add your handling code here:
        UploadFileGUI.setCurrentFileName("strom");
        uploadfilegui = new UploadFileGUI();
        uploadfilegui.setLocationRelativeTo(null);
        uploadfilegui.setVisible(true);
    }
    private void fwUploadActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_fwUploadActionPerformed
        // TODO add your handling code here:
        UploadFileGUI.setCurrentFileName("fw");
        uploadfilegui = new UploadFileGUI();
        uploadfilegui.setLocationRelativeTo(null);
        uploadfilegui.setVisible(true);
    }//GEN-LAST:event_fwUploadActionPerformed

    private void gasUploadActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_gasUploadActionPerformed
        // TODO add your handl// TODO add your handling code here:
        UploadFileGUI.setCurrentFileName("gas");
        uploadfilegui = new UploadFileGUI();
        uploadfilegui.setLocationRelativeTo(null);
        uploadfilegui.setVisible(true);
        //   boolean gas = true;
    }//GEN-LAST:event_gasUploadActionPerformed
    /*
    private void stromUploadActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_stromUploadActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_stromUploadActionPerformed
*/
    private void gasDeleteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_gasDeleteActionPerformed
        this.deleteAllFiles(gasList);
        gasList = new ArrayList<>();
        gasL.setText("");
        IGSFMonitorSteuer gsf = new IGSFMonitorSteuer();
        gsf.gasReset();
    }//GEN-LAST:event_gasDeleteActionPerformed

    private void stromDeleteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_stromDeleteActionPerformed
        this.deleteAllFiles(stromList);
        stromList = new ArrayList<>();
        this.stromL.setText("");
        IGSFMonitorSteuer gsf = new IGSFMonitorSteuer();
        gsf.stromReset();
        
    }//GEN-LAST:event_stromDeleteActionPerformed

    private void fwDeleteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_fwDeleteActionPerformed
        this.deleteAllFiles(fwList);
        fwList = new ArrayList<>();
        this.fwL.setText("");
        IGSFMonitorSteuer gsf = new IGSFMonitorSteuer();
        gsf.fernwaermeReset();
    }//GEN-LAST:event_fwDeleteActionPerformed

    private void closeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_closeActionPerformed
        // TODO add your handling code here:
        this.gasDeleteActionPerformed(evt);
        this.stromDeleteActionPerformed(evt);
        this.fwDeleteActionPerformed(evt);
        exit(0);
    }//GEN-LAST:event_closeActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(StartGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(StartGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(StartGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(StartGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new StartGUI().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton auswertenOpen;
    private javax.swing.JButton close;
    private javax.swing.JButton fwDelete;
    private static javax.swing.JLabel fwL;
    private javax.swing.JButton fwUpload;
    private javax.swing.JButton gasDelete;
    private static javax.swing.JLabel gasL;
    private javax.swing.JButton gasUpload;
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JPanel logoPanel;
    private javax.swing.JButton stromDelete;
    private static javax.swing.JLabel stromL;
    private javax.swing.JButton stromUpload;
    // End of variables declaration//GEN-END:variables
}
